%global git_date  20250203
%global git_hash  975d185
%global git_ver  1.2.1

%global rel  6

%global src_name %{name}-%{git_date}-%{git_hash}.tar.xz


Name:           swaybg
Version:	%{git_ver}^%{git_date}g%{git_hash}
Release:	%{rel}%{?dist}
Summary:        Wallpaper tool for Wayland compositors
Group:          User Interface/X
License:        MIT
URL:            https://github.com/swaywm/swaybg

Source0:	%{url}/%{src_name}

BuildRequires:  gcc-c++
BuildRequires:  git
BuildRequires:  make
BuildRequires:  meson
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  scdoc

Recommends:     %{fedora}-backgrounds-base

%description
swaybg is a wallpaper utility for Wayland compositors. It is compatible with any Wayland compositor which implements the following Wayland protocols:

    wlr-layer-shell
    xdg-output
    xdg-shell

%prep
%autosetup -n %{name}

%build
#meson build --prefix=%{_prefix}
#ninja -C build
%meson
%meson_build

%install
#DESTDIR=%{buildroot} ninja -C build install
%meson_install

%files
%license LICENSE
%doc README.md
%{_mandir}/man1/swaybg.1*
%{_bindir}/swaybg

%changelog
%autochangelog
